I9XX_CHECK_FIFO_UNDE(9)

NAME
i9xx_check_fifo_underruns - check for fifo underruns

SYNOPSIS

void i9xx_check_fifo_underruns(struct drm_i915_private * dev_priv);

ARGUMENTS

dev_priv
    i915 device instance

DESCRIPTION

This function checks for fifo underruns on GMCH platforms. This needs to be done manually on modeset to make sure that we catch all underruns since they do not generate an interrupt by themselves on these platforms.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT